[A012]Distribution of technical efficacy phrases

post
https://connect.patsnap.com/insights/technology-effect-Distribution
Try in Sandbox

By inputting the search formula, query the technical effects of the search formula and the focused technical research directions. It includes: functional phrases, the number of patents covered by the functional phrases, and the number of patents per year (the year of patent application, the number of patents).

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
collapse_by
stringPBD

"APD" means order according to application date;

"PBD" means order according to publication date;

"AUTHORITY" means order according to authority;

"SCORE" means order according to the relevance score

collapse_order
stringLATEST
When collapse_type="APNO", and collapse_by="APD" or "PBD", the collapse_order can be set as "OLDEST" or "LATEST", means keep the patent date of oldest or latest one
collapse_order_authority
array[ "CN", "US", "EP", "JP", "KR" ]

Setting the patent collapse ordering rule that is valid only if collapse_by is AUTHORITY

Sets the order of patent collapse according to the input authorities priority list, valid only if collapse_by is AUTHORITY

collapse_type
stringDOCDB

"ALL" or Null value means no collapse;

"APNO" means collapse according to application number;

"DOCDB" means collapse according to simple family;

"INPADOC" means collapse according to inpadoc family;

"EXTEND" means collapse according to patsnap family

lang
stringcn
Single-choice, available options include "cn" and "en", representing Chinese and English respectively. Please use lowercase letters. The default value is Chinese
query_text
Required
stringTACD: virtual reality
Analytics query, maximum length 1,500 characters
sort
Read-only
array[ { "field": "PBDT_YEARMONTHDAY", "order": "DESC" } ]
Field order, field can support: PBDT_YEARMONTHDAY, APD_YEARMONTHDAY, ISD,SCORE; order can support: desc, asc.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
tech_effect
arrayPlease check the form: TechEffectCountResponse
Statistics on the distribution of technical efficacy
name
string提高准确性
benefit phrase
count
integer<int32>198
patent count
patent_count_year
arrayPlease check the form: TechEffectPatentCountYear
Annual statistics of the number of patents covered by functional phrases
count
integer<int32>198
patent count
pbt_year
integer<int32>2024
patent application year
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "tech_effect": [
      {
        "name": "提高准确性",
        "count": 198,
        "patent_count_year": [
          {
            "count": 198,
            "pbt_year": 2024
          }
        ]
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms